OpenapiAuth
Authenticate user with email/username and password
Supports both email and username login. Returns a session token or requires TOTP verification if two-factor authentication is enabled for the user.
Supports both email and username login. Returns a session token or requires TOTP verification if two-factor authentication is enabled for the user.
Path Parameters
realmId*string
Realm ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
agreements?array<>|null
clientId*string
email?string|null
oauthClientId?string|null
password*string
redirectUri?string|null
state?string|null
turnstileToken?string|null
username?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/auth/string/login" \ -H "Content-Type: application/json" \ -d '{ "clientId": "string", "password": "string" }'{ "accessToken": "string", "expiresIn": 0, "refreshExpiresIn": 0, "refreshToken": "string", "tokenType": "string"}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}